<?php

/**
 * General administration form for Eloqua settings.
 *
 * @return array
 *   A form array.
 */
function eloqua_admin_form () {
  $form = array();
  $form['general'] = array(
    '#type' => 'fieldset',
    '#title' => t('General Settings'),
    '#description' => t('General settings applicable to all Eloqua functionality.'),

    // Site id.
    ELOQUA_VARIABLE_SITE_ID => array(
      '#type' => 'textfield',
      '#title' => t('Site Identifier'),
      '#description' => t('The Eloqua Site ID for this web site.'),
      '#size' => 20,
      '#maxlength' => 64,
      '#default_value' => eloqua_get_site_id(),
      '#required' => TRUE,
    ),

    // Scripts directory.
    ELOQUA_VARIABLE_SCRIPTS_DIRECTORY => array(
      '#type' => 'textfield',
      '#title' => t('Scripts Directory'),
      '#description' => t('The directory where the Eloqua scripts will be located.'),
      '#size' => 20,
      '#maxlength' => 64,
      '#default_value' => eloqua_get_scripts_directory(),
      '#required' => TRUE,
    ),

    ELOQUA_SETTINGS_BATCH_SIZE => array(
      '#type' => 'textfield',
      '#title' => t('Batch Size'),
      '#description' => t('The number of posts to process per cron run. Default=50'),
      '#size' => 5,
      '#maxlength' => 5,
      '#default_value' => eloqua_get_batch_size(),
    )
  );
  return system_settings_form($form);
}
